chisq {VGAM} | R Documentation

## Chi-squared Distribution

### Description

Maximum likelihood estimation of the degrees of freedom for a chi-squared distribution.

### Usage

    chisq(link = "loglink", zero = NULL)

### Arguments

`link, zero` | See `CommonVGAMffArguments` for information.

### Details

The degrees of freedom is treated as a parameter to be estimated, and as real (not integer). Being positive, a log link is used by default. Fisher scoring is used.

### Value

An object of class `"vglmff"` (see `vglmff-class`). The object is used by modelling functions such as `vglm`, and `vgam`.

### Note

Multiple responses are permitted. There may be convergence problems if the degrees of freedom is very large or close to zero.

### Author(s)

T. W. Yee

### References

Forbes, C., Evans, M., Hastings, N. and Peacock, B. (2011) Statistical Distributions, Hoboken, NJ, USA: John Wiley and Sons, Fourth edition.

### See Also

`Chisquare`. `uninormal`.

### Examples

    cdata <- data.frame(x2 = runif(nn <- 1000))
    cdata <- transform(cdata, y1 = rchisq(nn, df = exp(1 - 1 * x2)),
                              y2 = rchisq(nn, df = exp(2 - 2 * x2)))
    fit <- vglm(cbind(y1, y2) ~ x2, chisq, data = cdata, trace = TRUE)
    coef(fit, matrix = TRUE)

[Package VGAM version 1.1-1 Index]